﻿/*---------------------------------------------------------------------------//
 RAWR - Player v0.1.0 - Buttons

 © 2007-2008, RAWR-Designs, Some Rights Reserved -
	Christopher "That Stevens Guy" Stevens
	Richard "Giant Eagle" Tuininga
 (CC) http://creativecommons.org/licenses/by-nc-sa/3.0/

 Any queries? -
	Email: that.stevens.guy@gmail.com, r.tuininga@quicknet.nl
	Forum: http://www.rejetto.com/forum/index.php?board=34.0
 	Homepage: http://rawr-designs.com
//---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------//
 onRelease for all buttons.
//---------------------------------------------------------------------------*/
playPauseBtn.onRelease = function() {
	if (this.playIcon._visible == true) {
		initMedia();
		iconColor("out");
		b = this.pauseIcon;
	} else {
		pos = myMedia.position/1000;
		myMedia.stop();
		playPauseSwap("play");
		fadeFunc(progressBar.playStatus,"out",50);
		b = this.playIcon;
	}
	iconColor();
}
stopBtn.onRelease = function() {
	pos = 0;
	myMedia.stop();
	counterActive = false;
	fadeFunc(this.icon,"out",30);
	playPauseSwap("play");
	fadeFunc(progressBar.playStatus,"out",0);
}
nextBtn.onRelease = function() {
	changeMP3("next");
}
prevBtn.onRelease = function() {
	changeMP3("prev");
}
methodBtn.onRelease = function() {
	switch (playmethod) {
	case ("single") :
		playmethod = "loop";
		tt.ttTxt = "Loop Play";
		this.singleIcon._visible = false;
		this.loopIcon._visible = true;
		b = this.loopIcon;
		break;
	case ("loop") :
		if (mode != "full") {
			playmethod = "single";
			tt.ttTxt = "Single Play";
			this.singleIcon._visible = true;
			this.loopIcon._visible = false;
			b = this.singleIcon;
		} else {
			playmethod = "list";
			tt.ttTxt = "List Play";
			this.loopIcon._visible = false;
			this.listIcon._visible = true;
			b = this.listIcon;
		}
		break;
	case ("list") :
		playmethod = "shuffle";
		tt.ttTxt = "Shuffle";
		this.shuffleIcon._visible = true;
		this.listIcon._visible = false;
		b = this.shuffleIcon;
		break;
	case ("shuffle") :
		playmethod = "single";
		tt.ttTxt = "Single Play";
		this.singleIcon._visible = true;
		this.shuffleIcon._visible = false;
		b = this.singleIcon;
		break;
	}
	iconColor();
	ExternalInterface.call("playbackMethod", playmethod);
}

/*---------------------------------------------------------------------------//
 RollOvers and RollOuts for all buttons.
//---------------------------------------------------------------------------*/
playPauseBtn.onRollOver =
stopBtn.onRollOver =
prevBtn.onRollOver =
nextBtn.onRollOver = function () {
	this.playIcon._visible == true ? b=this.playIcon : b=this.pauseIcon;
	if(this.icon._alpha > 90) b=this.icon;
	iconColor();
}
methodBtn.onRollOver = function() {
	tt._visible = true;
	if (playmethod == "single") {
		b=this.singleIcon;
	} else if (playmethod == "loop") {
		b=this.loopIcon;
	} else if (playmethod == "shuffle") {
		b=this.shuffleIcon;
	} else {
		b=this.listIcon;
	}
	iconColor();
}
playPauseBtn.onRollOut = playPauseBtn.onReleaseOutside =
stopBtn.onRollOut = stopBtn.onReleaseOutside =
prevBtn.onRollOut = prevBtn.onReleaseOutside =
nextBtn.onRollOut = nextBtn.onReleaseOutside =
methodBtn.onRollOut = methodBtn.onReleaseOutside = function () {
	tt._visible = false;
	iconColor("out");
}
iconColor = function (out) {//Color switch for all buttons.
	x=new Color(b);
	out == "out" ? x.setRGB(color3) : x.setRGB(color4);
}