﻿/*---------------------------------------------------------------------------//
 RAWR - Player v0.1.0 - Interface

 © 2007-2008, RAWR-Designs, Some Rights Reserved -
	Christopher "That Stevens Guy" Stevens
	Richard "Giant Eagle" Tuininga
 (CC) http://creativecommons.org/licenses/by-nc-sa/3.0/

 Any queries? -
	Email: that.stevens.guy@gmail.com, r.tuininga@quicknet.nl
	Forum: http://www.rejetto.com/forum/index.php?board=34.0
 	Homepage: http://rawr-designs.com
//---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------//
 Initialise mode variable, default to simple.
//---------------------------------------------------------------------------*/
var mode = mode.toLowerCase() == "advanced" ? "full" : mode.toLowerCase();

/*---------------------------------------------------------------------------//
 Hide the pause icon.
//---------------------------------------------------------------------------*/
tt._visible = playPauseBtn.pauseIcon._visible = false;

/*---------------------------------------------------------------------------//
 Sort out right side of the interface.
//---------------------------------------------------------------------------*/
methodBtn._x = Stage.width-(methodBtn._width+1);
	volumeBar._x = methodBtn._x-(volumeBar._width+1);
		tt._x = percBg._x = volumeBar._x-(percBg._width+1);			
				percTxt._x = percBg._x+1;

/*---------------------------------------------------------------------------//
 Set variable for progress margins, they're important later.
//---------------------------------------------------------------------------*/
progressMargins = progressBar.Bg._width-progressBar.progressBg._width;

/*---------------------------------------------------------------------------//
 Sort out progress bar.
//---------------------------------------------------------------------------*/
progressBar.Bg._width = Stage.width-(Bg._width-progressBar.Bg._width);
if (mode != "full") {
	unloadMovie(prevBtn);
	unloadMovie(nextBtn);
	countBg._x = prevBtn._x-prevBtn._width;
		countTxt._x = countBg._x+1;
			progressBar._x = countBg._x+countBg._width+1;
				progressBar.Bg._width = progressBar.Bg._width+countBg._x-1;
}
progressBar.progressBg._width =
	progressBar.playStatus._width =
		progressBar.loadStatus._width = progressBar.Bg._width-progressMargins;
progressBar.playStatus._xscale = progressBar.loadStatus._width = 0;

/*---------------------------------------------------------------------------//
 Sort out main background widths.
//---------------------------------------------------------------------------*/
Bg._width = id3Bg._width = id3Bg1._width = Stage.width;

/*---------------------------------------------------------------------------//
 Interface variables for later.
//---------------------------------------------------------------------------*/
var volBackWidth = volumeBar.volBack._width+volumeBar.volMask._width;
var progressBarWidth = progressBar._width/100;
var statusWidth = progressBar.progressBg._width/100;
var seekIconPos = (progressBar._width-progressBar.progressBg._width)/2;
progressBar.seekIcon._x = seekIconPos;//Set initial seek icon position.