﻿/*---------------------------------------------------------------------------//
 RAWR - Player v0.1.0 - Colors

 © 2007-2008, RAWR-Designs, Some Rights Reserved -
	Christopher "That Stevens Guy" Stevens
	Richard "Giant Eagle" Tuininga
 (CC) http://creativecommons.org/licenses/by-nc-sa/3.0/

 Any queries? -
	Email: that.stevens.guy@gmail.com, r.tuininga@quicknet.nl
	Forum: http://www.rejetto.com/forum/index.php?board=24.0
 	Homepage: http://rawr-designs.com
//---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------//
 Colour variables.
//---------------------------------------------------------------------------*/
var colorset, color1, color2, color3, color4;
if (colorset.toLowerCase() == "tog") {
	color1 = 0x012343;
	color2 = 0x004480;
	color3 = 0xFFFFFF;
	color4 = 0xCAD9EA;
} else if (colorset.toLowerCase() == "terayon") {
	color1 = 0x3E547C;
	color2 = 0xB9BEC7;
	color3 = 0xFFFFFF;
	color4 = 0xDEE1E4;
	Bg._alpha = id3Bg._alpha = 50;
} else if (colorset.toLowerCase() == "rawr_red") {
	color1 = 0x440000;
	color2 = 0x990000;
	color3 = 0xFFFFFF;
	color4 = 0xff9999;
} else if (colorset.toLowerCase() == "rawr_green") {
	color1 = 0x005500;
	color2 = 0x008800;
	color3 = 0xFFFFFF;
	color4 = 0xccffcc;
} else if (colorset.toLowerCase() == "rawr_dark") {
	color1 = 0x2b2b2b;
	color2 = 0xf36f00;
	color3 = 0xFFFFFF;
	color4 = 0xffcc99;
} else if (colorset.toLowerCase() == "rawr_black") {
	color1 = 0x0a0f11;
	color2 = 0x393939;
	color3 = 0xd0d0d0;
	color4 = 0xf0f0f0;
} else if (colorset.toLowerCase() == "rawr_diehard") {
	color1 = 0x660000;
	color2 = 0xcc3333;
	color3 = 0xFFFFFF;
	color4 = 0xDFDFDF;
}
if(!color1)color1 = 0x19238c;
if(!color2)color2 = 0x3f9afe;
if(!color3)color3 = 0xFFFFFF;
if(!color4)color4 = 0x7cadf4;

/*---------------------------------------------------------------------------//
 Gradient settings.
//---------------------------------------------------------------------------*/ 
var colors = [color1, color2];
var alphas = [100, 100];
var ratios = [0, 0xFF];
var matrix = {matrixType:"box", x:1, y:1, w:30, h:30, r:(90/180)*Math.PI};

/*---------------------------------------------------------------------------//
 Set gradient colours, and draw gradient object.
//---------------------------------------------------------------------------*/
var arrItems = [Bg, countBg, percBg, playPauseBtn.Bg, stopBtn.Bg, nextBtn.Bg, prevBtn.Bg, 
				methodBtn.Bg, progressBar.Bg, volumeBar.Bg, id3Bg, id3Bg1, tt.Bg];
for (var i = 0; i<arrItems.length; i++) {
	arrItems[i].defaultBg._alpha = 0;
	arrItems[i].beginGradientFill("linear", colors, alphas, ratios, matrix);
	arrItems[i].moveTo(0, 0);
	arrItems[i].lineTo(0, 30);
	arrItems[i].lineTo(1, 30);
	arrItems[i].lineTo(1, 0);
	arrItems[i].lineTo(0, 0);
	arrItems[i].endFill();
}

/*---------------------------------------------------------------------------//
 Set icon colour.
//---------------------------------------------------------------------------*/
var arrItems = [playPauseBtn.playIcon, playPauseBtn.pauseIcon, stopBtn.icon, prevBtn.icon, nextBtn.icon, 
				progressBar.seekIcon, progressBar.progressBg, progressBar.playStatus, progressBar.loadStatus, 
				volumeBar.volBack, volumeBar.volBars, methodBtn.singleIcon, methodBtn.loopIcon, methodBtn.listIcon, methodBtn.shuffleIcon];
for (var i = 0; i<arrItems.length; i++) {
	set("x"+i, new Color(arrItems[i]));
	eval("x"+i).setRGB(color3);
}

/*---------------------------------------------------------------------------//
 Set text colour.
//---------------------------------------------------------------------------*/
countTxt.textColor = percTxt.textColor = tt.tt.textColor = color3;